package speiger.src.coreengine.rendering.tesselation;

import speiger.src.coreengine.math.vector.floats.Vec4f;

public class GLCall
{
	int type;
	int count;
	int texture;
	Vec4f frame = Vec4f.newMutable();
	float roundedNess = 0F;
	
	public GLCall()
	{
	}
	
	public GLCall(int type)
	{
		this.type = type;
	}
	
	public void setCount(int count)
	{
		this.count = count;
	}
	
	public void setType(int type)
	{
		this.type = type;
	}
	
	public void setTexture(int texture)
	{
		this.texture = texture;
	}
	
	public void setFrame(Vec4f frame)
	{
		this.frame.set(frame);
	}
	
	public void setRounded(float roundedNess)
	{
		this.roundedNess = roundedNess;
	}
	
	public float getRoundedNess()
	{
		return roundedNess;
	}
	
	public Vec4f getFrame()
	{
		return frame;
	}
	
	public int getCount()
	{
		return count;
	}
	
	public int getType()
	{
		return type;
	}
	
	public int getTexture()
	{
		return texture;
	}
	
	@Override
	public String toString()
	{
		return "Call[Texture="+texture+", Type="+type+", Count="+count+"]";
	}
}
